!!! 5
%html{lang: "en"}
  %head
    - current_page.data.description = form.description
    = partial "includes/layout/head"
  %body
    .demo-container
      .video-container#video-container{ style: "background: url(#{form.background}) center center no-repeat;background-size: cover;" }
        .demo-info#demo-info
          = kramdown(form.content)
        #confirmform{ style: "display: none;" }
          .centered-form-info
            = kramdown(form.form.success_message)
      .demo-form-container#demo-form-container
        - if form.icon
          = image_tag "#{form.icon}", class: "demo-icon", alt: "Gitlab form icon svg"
        - else
          = image_tag "/images/demo/demo.svg", class: "demo-icon", alt: "Gitlab demo icon svg"
        %h3.margin-bottom30
          = form.form.title
        %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
        %form{id: "mktoForm_#{form.form.number}"}
        :javascript
          var formNumber = #{form.form.number || "null"};
          MktoForms2.setOptions(
          {
            formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
          });
          MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", formNumber, function(form) {
            let formHasFormBeenFocused = false;
            form.onValidate(function(){
              if(formHasFormBeenFocused == false){
                dataLayer.push({
                  'event' : 'demo', 
                  'mktoFormId' : form.getId(),
                  'eventCallback' : function(){},
                  'eventTimeout' : 3000
                });
                formHasFormBeenFocused = true;
                return false;
              };
            });

            form.onSuccess(function() {

              dataLayer.push(
              {
                'event' : '#{form.type || "conversion-page"}', 
                'mktoFormId' : form.getId(),
                'eventCallback' : function()
                {
                  // show demo video
                  document.getElementById('demo-form-container').style.display = 'none';
                  document.getElementById('confirmform').style.display = 'block';
                  document.getElementById('demo-info').style.display = 'none';
                }, 'eventTimeout' : 3000
              });

              return false;
            });
          });
    = partial "includes/layout/footer"
